directories:
  output: ../release/${version}
  buildResources: build
productName: Next-Exam-Teacher
appId: com.nextexam-teacher.app
asar: true
asarUnpack:
  - public
afterSign: scripts/notarize.cjs
files:
  - filter:
      - dist
      - public
linux:
  target: AppImage
  category: Utility
  icon: public/icons/256x256.png
  artifactName: ${productName}_${version}.${ext}
mac:
  icon: public/icons/icon.png
  artifactName: ${productName}_${version}_${arch}.${ext}
  hardenedRuntime: true
  gatekeeperAssess: false
  entitlements: entitlements.mac.plist
  entitlementsInherit: entitlements.mac.plist
  category: public.app-category.utilities
  target:
    target: dmg
    arch:
      - universal
dmg:
  sign: true
portable:
  unpackDirName: next-exam-teacher
win:
  icon: public/icons/icon.ico
  target:
    - target: portable
      arch:
        - x64
  artifactName: ${productName}_${version}.${ext}
  certificateSubjectName: OSOS Austria
  signingHashAlgorithms:
    - sha256
electronVersion: 24.8.5
